/**********************************************************************
 * (C) Copyright SYSCOM COMPUTER ENGINEERING CO. 2003.
 *
 * XTMTransfer.hpp - header file for class XTMTransfer.hpp
 * #001 2002/09/19 Chingju
 **********************************************************************/

#ifndef _XTMTRANSFER_HEADER
#define _XTMTRANSFER_HEADER

#include "dmxtm.h"
// include file for odbc
#include "odbc.h"
#include "jni.h"

#define  LEN_XTM_ERRMSG (256)


class XTM_EXPORT XTM
{
public:

  // -----------------------------------------------------------------------
  //  Constructors and Destructor
  // -----------------------------------------------------------------------
  XTM();
  ~XTM();

	int setUser( char *user );
	int setPassword( char *password );
	int setConnection( HDBC hdbc );

  int setProperty( char *key, char *value);

  // get error message
  const char * getError();

  // Execute methods
  int run(		const char *XtmFileName,
              const char *XmlFileName );

private:

  JNIEnv *env;
  JavaVM *jvm;
  jclass cls;
  char msg[LEN_XTM_ERRMSG];  // append error message
  long rc;
	jobject obj;
  jint handle;
};

#endif // _XTMTRANSFER_HEADER
